package com.ffii.core.response;

import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonInclude;

public class FailureRes {

  private LocalDateTime timestamp;

  @JsonInclude(JsonInclude.Include.NON_NULL)
  private String error;

  public FailureRes() {
    this.timestamp = LocalDateTime.now();
  }

  public FailureRes(String error) {
    this.timestamp = LocalDateTime.now();
    this.error = error;
  }

  public LocalDateTime getTimestamp() {
    return timestamp;
  }

  public void setTimestamp(LocalDateTime timestamp) {
    this.timestamp = timestamp;
  }

  public String getError() {
    return error;
  }

  public void setError(String error) {
    this.error = error;
  }

}
